Bug 1206571 - [RFE] Expose D-BUS interface
Summary: [RFE] Expose D-BUS interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 1181710
TreeView+ depends on / blocked
 
Reported: 2015-03-27 12:47 UTC by Martin Kosek
Modified: 2020-05-02 17:32 UTC (History)
9 users (show)

Fixed In Version: sssd-1.13.0-0.1.alpha.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:37:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3192 None None None 2020-05-02 17:32:16 UTC
Red Hat Product Errata RHSA-2015:2355 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description Martin Kosek 2015-03-27 12:47:42 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2150

Add a DBus interface to SSSD that would be used by projects that need to integrate with SSSD and fetch users and groups from a central location (RHEV-M, Cockpit, ...)

Comment 1 Jakub Hrozek 2015-06-03 13:09:41 UTC
This commit:
4b8f260c97b3164fbfccf185e14752ac17c532ac

Deprecates the old functional interface in favor of the object-like interface.

Comment 4 errata-xmlrpc 2015-11-19 11:37:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.